import java.rmi.Remote;
import java.rmi.RemoteException;

/** Interface zur Kommunikation mit dem
  * MessageServer.
  * @author Bernhard Fiser 0109815
  * @version 0.1 2002/10/20 */
public interface MessageInterface extends Remote
{
	/** Methode um Nachrichten an den Server
	  * zu senden. */
	public void sendMsg(String user, String[] to, String msg) throws RemoteException;
	/** Methode um Nachrichten vom Server
	  * empfangen. */
	public String[] getMsg(String user) throws RemoteException;
}

